# Note that this is NOT a relocatable package
%define ver      1.0.0
%define rel      2
%define prefix   /usr

Summary: Backward compatibility XML library.
Name: libxml10
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/libxml/libxml-1.0.0.tar.gz
BuildRoot: /var/tmp/libxml-%{PACKAGE_VERSION}-root
URL: http://www.gnome.org
Prereq: /sbin/install-info
Docdir: %{prefix}/doc

%description
The libxml package contains the XML library version 1.0, which allows 
you to manipulate XML files. XML (eXtensible Markup Language) is a data
format for structured document interchange via the Web.

This package is provided as a backwards compatibility package for older 
application that might exist on your system but have not been recompiled 
yet for the new library version.

%prep
%setup -n libxml-1.0.0 -q

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix 
make


%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README COPYING COPYING.LIB TODO
%{prefix}/lib/lib*.so.*


%changelog
* Thu Sep 09 1999 Cristian Gafton <gafton@redhat.com>
- fox descriptions

* Thu Aug 12 1999 Jonathan Blandford <jrb@redhat.com>
- Creating binary compat. library.

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.0

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5 built against gnome-libs-0.99.8

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- made clean section work again

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- bumped to 0.99.0 for GNOME freeze

* Sun Oct  4 1998 Daniel Veillard <Daniel.Veillard@w3.org>
- Added xml-config to the package

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Built release 0.30

